## ros-rolling-rmf-robot-sim-gz-classic-plugins 2.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rmf_robot_sim_gz_classic_plugins)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()


if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(gazebo_ros REQUIRED)
find_package(gazebo_dev REQUIRED)
find_package(Eigen3 REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(rmf_fleet_msgs REQUIRED)
find_package(rmf_building_map_msgs REQUIRED)
find_package(rmf_robot_sim_common REQUIRED)

include(GNUInstallDirs)

###############################
# TeleportDispenser Plugin
###############################

add_library(teleport_dispenser SHARED src/TeleportDispenser.cpp)

ament_target_dependencies(teleport_dispenser
  rclcpp
  gazebo_ros
  rmf_fleet_msgs
  rmf_robot_sim_common
  Eigen3
)

target_include_directories(teleport_dispenser
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
    ${GAZEBO_INCLUDE_DIRS}
    ${EIGEN3_INCLUDE_DIRS}
)

###############################
# TeleportIngestor Plugin
###############################

add_library(teleport_ingestor SHARED src/TeleportIngestor.cpp)

ament_target_dependencies(teleport_ingestor
  rclcpp
  gazebo_ros
  rmf_fleet_msgs
  rmf_robot_sim_common
  Eigen3
)

target_include_directories(teleport_ingestor
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
    ${GAZEBO_INCLUDE_DIRS}
    ${EIGEN3_INCLUDE_DIRS}
)

###############################
# Readonly Plugin
###############################

add_library(readonly SHARED ${PROJECT_SOURCE_DIR}/src/readonly.cpp)

ament_target_dependencies(readonly
    rmf_fleet_msgs
    rmf_building_map_msgs
    rclcpp
    gazebo_ros
    rmf_robot_sim_common
    Eigen3
)

target_include_directories(readonly
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
    ${GAZEBO_INCLUDE_DIRS}
    ${EIGEN3_INCLUDE_DIRS}
)

###############################
# Slotcar Plugin
###############################

add_library(slotcar SHARED ${PROJECT_SOURCE_DIR}/src/slotcar.cpp)

ament_target_dependencies(slotcar
  Eigen3
  rmf_robot_sim_common
  rmf_fleet_msgs
  rclcpp
  gazebo_ros
  geometry_msgs
  rmf_building_map_msgs
)

target_include_directories(slotcar
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
    ${EIGEN3_INCLUDE_DIRS}
    ${GAZEBO_INCLUDE_DIRS}
)

###############################
# Install Targets
###############################

install(
  TARGETS
    teleport_dispenser
    teleport_ingestor
    readonly
    slotcar
  LIBRARY DESTINATION lib/${PROJECT_NAME}
  ARCHIVE DESTINATION lib/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-rolling-rmf-robot-sim-gz-classic-plugins (2.2.1-1jammy) jammy; urgency=high



 -- Luca Della Vedova <luca@openrobotics.org>  Thu, 29 Jun 2023 16:00:00 -0000

ros-rolling-rmf-robot-sim-gz-classic-plugins (2.2.0-1jammy) jammy; urgency=high



 -- Luca Della Vedova <luca@openrobotics.org>  Wed, 07 Jun 2023 16:00:00 -0000

ros-rolling-rmf-robot-sim-gz-classic-plugins (2.1.0-1jammy) jammy; urgency=high

  * Switch to rst changelogs (#101 <https://github.com/open-rmf/rmf_simulation/pull/101>)
  * Contributors: Yadunund

 -- Luca Della Vedova <luca@openrobotics.org>  Mon, 05 Jun 2023 16:00:00 -0000

ros-rolling-rmf-robot-sim-gz-classic-plugins (2.0.0-1jammy) jammy; urgency=high

  * Renamed to rmf_robot_sim_gz_classic_plugins and Humble migration (#77 <https://github.com/open-rmf/rmf_simulation/pull/77>)
  * Checking for models with dispensable in names to not be considered an obstacle by slotcar (#74 <https://github.com/open-rmf/rmf_simulation/pull/74>)
  * Contributors: Aaron Chong, Luca Della Vedova, Yadunund

 -- Luca Della Vedova <luca@openrobotics.org>  Mon, 03 Oct 2022 16:00:00 -0000

ros-rolling-rmf-robot-sim-gz-classic-plugins (1.3.0-1jammy) jammy; urgency=high

  * Change parameter tag from holonomic to steering (#46 <https://github.com/open-rmf/rmf_simulation/pull/46>)
  * Nonholonomic slotcar turning fixes, add turning multiplier offset parameter, rename compute_ds variables (#41 <https://github.com/open-rmf/rmf_simulation/pull/41>)
  * fix typo on gazebo_dev dependency (#28 <https://github.com/open-rmf/rmf_simulation/pull/28>)
  * Fix dependencies (#26 <https://github.com/open-rmf/rmf_simulation/pull/26>)
  * Changes and corrections to support ROS 2 Galactic (#23 <https://github.com/open-rmf/rmf_simulation/pull/23>)
  * Add quality declaration documents (#1 <https://github.com/open-rmf/rmf_simulation/pull/1>)
  * Add build and style actions (#11 <https://github.com/open-rmf/rmf_simulation/pull/11>)
  * Slotcar plugin package move and utils cleanup (#5 <https://github.com/open-rmf/rmf_simulation/pull/5>)
  * account for renaming from building_map_msgs to rmf_building_map_msgs (#3 <https://github.com/open-rmf/rmf_simulation/pull/3>)
  * Package renames (#2 <https://github.com/open-rmf/rmf_simulation/pull/2>)
  * Contributors: Charayaphan Nakorn Boon Han, Geoffrey Biggs, Luca Della Vedova, Marco A. Gutiérrez, ddengster

 -- Luca Della Vedova <luca@openrobotics.org>  Mon, 31 Aug 2020 16:00:00 -0000

ros-rolling-rmf-robot-sim-gz-classic-plugins (1.1.0-1jammy) jammy; urgency=high

  * Support cross-compiling with ROS 2 Foxy and Eloquent. (#103 <https://github.com/osrf/rmf_demos/pull/103>)
  * TeleportIngestorPlugin uses rmf_ingestor_msgs. (#117 <https://github.com/osrf/rmf_demos/pull/117>)
  * Modularized Readonly TeleportIngestorPlugin and TeleportDispenserPlugin to support both Gazebo and Ignition simulations. (#124, #134 <https://github.com/osrf/rmf_demos/pull/124>)
  * Contributors: Aaron Chong, Boon Han, Michael X. Grey, Yadunund, mrushyendra

 -- Luca Della Vedova <luca@openrobotics.org>  Tue, 22 Sep 2020 16:00:00 -0000

ros-rolling-rmf-robot-sim-gz-classic-plugins (1.0.0-1jammy) jammy; urgency=high

  * Provides the readonly Gazebo plugin that emulates the behavior of a read_only fleet type. When attached to a steerable vehicle that operates on a known traffic graph, the plugin publishes a prediction of the vehicle's intended path to the rmf traffic database via its configured read_only_fleet_adapter. Other fleets operating in the space can plan routes to avoid the path of this vehicle.
  * Provides TeleportDispenser Gazebo plugin that is attached to the TeleportDispenser model in rmf_demo_assets. When loaded into Gazebo along side a "payload" model, the plugin will teleport the payload onto the nearest robot when it registers a rmf_dispenser_msgs::DispenserRequest message with target_guid matching its model name.
  * Provides TeleportIngestor Gazebo plugin that is attached to the TeleportIngestor model in rmf_demo_assets. When loaded into Gazebo, the plugin will teleport the payload off the nearest robot and onto its location, when it registers a rmf_dispenser_msgs::DispenserRequest message with target_guid matching its model name.
  * Contributors: Aaron, Aaron Chong, Charayaphan Nakorn Boon Han, Luca Della Vedova, Yadunund

 -- Luca Della Vedova <luca@openrobotics.org>  Tue, 23 Jun 2020 16:00:00 -0000

=== debian/control ===
Source: ros-rolling-rmf-robot-sim-gz-classic-plugins
Section: misc
Priority: optional
Maintainer: Luca Della Vedova <luca@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-rolling-ament-cmake, ros-rolling-gazebo-dev, ros-rolling-gazebo-ros, ros-rolling-geometry-msgs, ros-rolling-rclcpp, ros-rolling-rmf-building-map-msgs, ros-rolling-rmf-fleet-msgs, ros-rolling-rmf-robot-sim-common, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rmf-robot-sim-gz-classic-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-rolling-gazebo-dev, ros-rolling-gazebo-ros, ros-rolling-geometry-msgs, ros-rolling-rclcpp, ros-rolling-rmf-building-map-msgs, ros-rolling-rmf-fleet-msgs, ros-rolling-rmf-robot-sim-common, ros-rolling-ros-workspace
Description: ROS 2 Gazebo-classic plugins for TeleportIngestors, TeleportDispensers and Readonly Objects

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rmf-robot-sim-gz-classic-plugins//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
